import { IC21WealthItem } from '@/pages/C_goodsManage/C21wealth/types'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as IC21WealthItem[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'C21/getList'
  payload: { list: IC21WealthItem[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'C21/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
